<vn>
<div id="title">
	<h1><t>LastOrders</t></h1>
</div>
<div id="actions">
	<div class="balance">
		<span class="label">
			<t>Balance:</t>
		</span> 
		<span class="amount" id="balance">
			<htk-text id="debt"
				format="%.2d€"
				conditional-func="balanceConditionalFunc"
				column="debt">
				<db-form property="form">
					<db-model property="model">
						SELECT -myClient_getDebt(NULL) debt
					</db-model>
				</db-form>
			</htk-text>
		</span> 
		<htk-icon
			name="info"
			title="_PaymentInfo"
			class="info"/>
	</div>
	<htk-bar-button
		id="pay-button"
		icon="payments"
		tip="_MakePayment"
		on-click="onPayButtonClick"/>
	<htk-bar-button
		icon="shopping_cart"
		tip="_ShoppingBasket"
		on-click="onBasketClick"/>
</div>
<div id="form" class="hedera-orders">
	<htk-repeater
		class="htk-list box confirmed vn-w-sm"
		form-id="iter"
		renderer="repeaterFunc">
		<db-model property="model" id="tickets">
			CALL myTicket_list(NULL, NULL);
		</db-model>
		<custom>
			<a id="link" class="item" title="{{_('SeeOrder')}}">
				<div class="content">
					<p class="important total">
						{{Vn.Value.format(iter.total, '%.2d€')}}
					</p>
					<p class="important">
						{{Vn.Value.format(iter.landed, '%D')}}
					</p>
					<p>#{{iter.id}}</p>
					<p>{{iter.nickname}}</p>
					<p>{{iter.agency}}</p>
				</div>
			</a>
		</custom>
	</htk-repeater>
</div>
<htk-dialog
	id="error-dialog"
	icon="error"
	message="_An error has been in the payment"
	buttons="RETRY_CANCEL"
	on-response="onDialogResponse"/>
</vn>
